      character*15 cfa,cfb,cfc
      character*50 line
      integer ifac,ifbc,ifcc
      call getarg(1,cfa)
      call getarg(2,cfb)
      call getarg(3,cfc)

      read(cfa,*) fa
      read(cfb,*) fb
      read(cfc,*) fc
      if(lnblnk(cfc).lt.2) then
         write(*,*) 'Example: setfocus0.464 0.396 0.444 '
         write(*,*) 'The input value are focus setting value'
         write(*,*) 'then input present value: 0.551 0.542 0.493'
         goto 50
      endif
 40   continue
      write(*,*) 'Input present focus value (ctrl C for stop) :'
      read(*,*) fanew,fbnew,fcnew
      ifac=int((fanew-fa)/0.00055+0.5)
      ifbc=int((fbnew-fb)/0.00055+0.5)
      ifcc=int((fcnew-fc)/0.00055+0.5)
      write(*,*) 'The focus steps value should be set as:'
      write(*,'(3(5x,1a,1x,i4))') 'A:',ifac,'B:',ifbc,'C:',ifcc
      goto 40
 50   continue
      stop
      end
